# Index

Symbols | A | B | C | D | E | F | G | I | J | L | M | N | O | P | R | S | T | U

## Symbols

- @active_if
  - Syntax
  - Tutorial
- @check_if_uptodate
  - Syntax
- @collate
  - Syntax
  - Tutorial
- @collate (Advanced Usage)
  - Syntax
- @collate, add_inputs(...)
  - Syntax
- @collate, inputs(...)
  - Syntax
- @combinations
  - Syntax
- @combinations_with_replacement
  - Syntax
- @files
  - check if up to date
  - in parallel
  - Manual
  - Syntax
  - Tutorial on-the-fly parameter generation
- @files (on-the-fly parameter generation)
  - Syntax
- @files_re
  - combine (Deprecated Syntax)
  - Syntax
- @follow
  - imposing order with
- @follows
  - mkdir (Manual)
  - mkdir (Syntax)
  - Syntax

- @graphviz
  - Syntax
- @jobs_limit
  - Syntax
  - Tutorial
- @merge
  - Syntax
- @mkdir
  - Syntax
- @originate
  - Syntax
- @parallel
  - Syntax
  - Tutorial
- @permutations
  - Syntax
- @posttask
  - Syntax
  - touch_file (Syntax)
  - touchfile (Manual)
- @product
  - Syntax
- @split
  - Syntax
- @subdivide
  - Syntax
  - Tutorial
- @transform
  - multiple dependencies
  - Syntax
- @transform, add_inputs(...)
  - Syntax
- @transform, inputs(...)
  - Syntax

## A

- Acknowledgements
- add_inputs
  - Indicator Object (Adding additional input parameters)
  - Tutorial

- args_param_factory() (in module ruffus.task)

## B

- break

## C

- check if up to date
  - @files
- check_if_uptodate
  - Tutorial
- Checking dependencies
  - Tutorial
- collate_param_factory() (in module ruffus.task)
- combinatorics
  - Tutorial

- combine
  - @follows (Deprecated Syntax)
  - Manual
- command line
  - Tutorial
- Comparison of Ruffus with alternatives
  - Design

## D

- data sharing across processes
  - Tutorial
- decorator
- decorators_compendium
  - Tutorial
- defining tasks out of order
  - output_from
- deprecated @files
  - Tutorial

- deprecated @files_re
  - Tutorial
- Design
  - Comparison of Ruffus with alternatives
  - Ruffus
- drmaa
  - run_job

## E

- errors
- Etymology
  - Ruffus
- Exception
  - Missing input files

- Exceptions
  - Tutorial
- exceptions
  - Tutorial

## F

- files_param_factory() (in module ruffus.task)
- flag files
  - Manual
- flowchart colours
  - Tutorial, [1]

- for rerunning jobs
  - rules
- formatter
  - Indicator Object (Disambiguating parameters)
  - Tutorial

## G

- generator
- globs
  - inputs parameters

- globs in input parameters
  - Tutorial

## I

- importing ruffus
- imposing order with
  - @follow
- in parallel
  - @files
- Indicator Object (Adding additional input parameters)
  - add_inputs
- Indicator Object (Disambiguating parameters)
  - combine
  - formatter
  - mkdir
  - output_from
  - regex
  - suffix
  - touch_file

- Indicator Object (Replacing input parameters)
  - inputs
- input / output parameters
  - Tutorial
- inputs
  - Indicator Object (Replacing input parameters)
  - Tutorial
- inputs parameters
  - globs
- Interrupted Pipeline
  - Tutorial
- interrupting tasks
  - Tutorial
- interrupts

## J

- job
- job_wrapper_generic() (in module ruffus.task)

- job_wrapper_io_files() (in module ruffus.task)
- job_wrapper_mkdir() (in module ruffus.task)

## L

- logging
  - Tutorial
- logging customising
  - Tutorial

- logging with ruffus.cmdline
  - Tutorial
- logging your own message
  - Tutorial

## M

- make_shared_logger_and_proxy() (in module ruffus.proxy_logger)
- Manual
  - @files
  - combine
  - flag files
  - Timestamp resolution
- merge
  - Tutorial
- merge_param_factory() (in module ruffus.task)
- Missing input files
  - Exception
- Mixing tasks, globs and file names
  - Tutorial

- mkdir
  - @follows (Manual)
  - @follows (Syntax)
  - Tutorial
- module
  - ruffus.proxy_logger
- multiple dependencies
  - @transform
- multiple errors
- multiprocessing
  - Tutorial

## N

- Name origins
  - Ruffus

- needs_update_check_directory_missing() (in module ruffus.task)
- needs_update_check_modify_time() (in module ruffus.task)

## O

- on_the_fly
  - Tutorial
- one to one @transform
  - Tutorial
- originate
  - Tutorial
- output file names
  - Tutorial

- output_from
  - defining tasks out of order
  - Indicator Object (Disambiguating parameters)
  - referring to functions before they are defined
- overview
  - Tutorial

## P

- pipeline functions
  - pipeline_get_task_names
  - pipeline_printout_graph
  - pipeline_run, [1]
- pipeline_get_task_names
  - print list of task names without running the pipeline
- pipeline_printout
  - Printout simulated run of the pipeline
  - Tutorial
- pipeline_printout() (in module ruffus.task)
- pipeline_printout_graph
  - print flowchart representation of pipeline functions
  - Tutorial
- pipeline_printout_graph() (in module ruffus.task)
- pipeline_run
  - Run pipeline
  - Tutorial

- pipeline_run touch mode
  - Tutorial
- pipeline_run verbosity
  - Tutorial
- pipeline_run() (in module ruffus.task)
- pipeline_run(multiprocess)
  - Tutorial
- posttask
  - Tutorial
- print flowchart representation of pipeline functions
  - pipeline_printout_graph
- print list of task names without running the pipeline
  - pipeline_get_task_names
- Printout simulated run of the pipeline
  - pipeline_printout

## R

- referring to functions before they are defined
  - output_from
- Regenerating the checkpoint file
  - Tutorial
- regex
  - Indicator Object (Disambiguating parameters)
  - Tutorial
- Ruffus
  - Design
  - Etymology
  - Name origins

- Ruffus names list
  - Tutorial
- ruffus.proxy_logger
  - module
- rules
  - for rerunning jobs
- Run drmaa
  - run_job
- Run pipeline
  - pipeline_run
- run_job
  - Run drmaa

## S

- setup_std_shared_logger() (in module ruffus.proxy_logger)
- signalling
- split
  - Tutorial
- split_param_factory() (in module ruffus.task)
- string substiution for inputs
  - Tutorial
- suffix
  - Indicator Object (Disambiguating parameters)
  - Tutorial
- Syntax
  - @active_if
  - @check_if_uptodate
  - @collate
  - @collate (Advanced Usage)
  - @collate, add_inputs(...)
  - @collate, inputs(...)
  - @combinations
  - @combinations_with_replacement
  - @files
  - @files (on-the-fly parameter generation)
  - @files_re
  - @follows
  - @graphviz
  - @jobs_limit
  - @merge
  - @mkdir
  - @originate
  - @parallel
  - @permutations
  - @posttask
  - @product
  - @split
  - @subdivide
  - @transform
  - @transform, add_inputs(...)
  - @transform, inputs(...)

## T

- t_black_hole_logger (class in ruffus.task)
- t_stderr_logger (class in ruffus.task)
- task
- Task completion
  - Tutorial
- Timestamp resolution
  - Manual
- touch mode pipeline_run
  - Tutorial
- touch_file
  - @posttask (Syntax)
- touchfile
  - @posttask (Manual)
- transform
  - Tutorial
- transform_param_factory() (in module ruffus.task)
- transforming in parallel
  - Tutorial
- Tutorial
  - @active_if
  - @collate
  - @jobs_limit
  - @parallel
  - @subdivide
  - add_inputs
  - check_if_uptodate
  - Checking dependencies
  - combinatorics
  - command line
  - data sharing across processes
  - decorators_compendium
  - deprecated @files
  - deprecated @files_re
  - Exceptions
  - exceptions
  - flowchart colours, [1]
  - formatter
  - globs in input parameters
  - input / output parameters
  - inputs
  - Interrupted Pipeline
  - interrupting tasks
  - logging
  - logging customising
  - logging with ruffus.cmdline
  - logging your own message
  - merge
  - Mixing tasks, globs and file names
  - mkdir
  - multiprocessing
  - on_the_fly
  - one to one @transform
  - originate
  - output file names
  - overview
  - pipeline_printout
  - pipeline_printout_graph
  - pipeline_run
  - pipeline_run touch mode
  - pipeline_run verbosity
  - pipeline_run(multiprocess)
  - posttask
  - Regenerating the checkpoint file
  - regex
  - Ruffus names list
  - split
  - string substiution for inputs
  - suffix
  - Task completion
  - touch mode pipeline_run
  - transform
  - transforming in parallel
  - Up to date

- Tutorial on-the-fly parameter generation
  - @files

## U

- Up to date
  - Tutorial